import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "msgtemplategridview": {
            "title": "消息模板表格视图",
            "caption": "消息模板",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "notify",
            "viewname": "MsgTemplateGridView",
            "viewtag": "24012ef8f76c1733b2b2271b864aa293"
        },
        "apiopenaccessgridview": {
            "title": "接入开放平台实体表格视图",
            "caption": "接入开放平台",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "notify",
            "viewname": "ApiOpenAccessGridView",
            "viewtag": "465f92d6bcc0a8c1017f1ae92b40b374"
        },
        "apiopenaccesspickupgridview": {
            "title": "接入开放平台选择表格视图",
            "caption": "接入开放平台",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "notify",
            "viewname": "ApiOpenAccessPickupGridView",
            "viewtag": "61df71f0160a7a3590ae42b67c013ee3"
        },
        "notifyindexview": {
            "title": "notify",
            "caption": "ibizlab",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "notify",
            "viewname": "NotifyIndexView",
            "viewtag": "AB032BD4-8B7A-4848-B3D5-880390C396DC"
        },
        "apiopenaccesspickupview": {
            "title": "接入开放平台数据选择视图",
            "caption": "接入开放平台",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "notify",
            "viewname": "ApiOpenAccessPickupView",
            "viewtag": "b630f1d333a1448006b8b9ffdc6288ae"
        },
        "apiopenaccesseditview": {
            "title": "接入开放平台编辑视图",
            "caption": "接入开放平台",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "notify",
            "viewname": "ApiOpenAccessEditView",
            "viewtag": "cbf2a34357adc70223006099b16f756f"
        },
        "msgtemplateeditview": {
            "title": "消息模板编辑视图",
            "caption": "消息模板",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "notify",
            "viewname": "MsgTemplateEditView",
            "viewtag": "d40d28e6e7b714c11cc3e965236b212d"
        }
    }];
});